Bug 146556 - Memory leak Apache/2.0.51 on fc2
Memory leak Apache/2.0.51 on fc2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 11:34 EST by rolandbreedveld
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:43:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rolandbreedveld 2005-01-29 11:34:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; nl-NL; rv:1.7.5)
Gecko/20041202 Firefox/1.0

Description of problem:
sometimes after stopping Apache ( /etc/init.d/httpd stop )
semaphores still exists
    

Version-Release number of selected component (if applicable):
httpd-2.0.51-2.9

How reproducible:
Sometimes

Steps to Reproduce:
/etc/init.d/httpd stop
check that httpd really stopped
ipcs -s|grep apache
    
Actual Results:  [root@pnume tmp]# ipcs -sam|grep apache
0x00000000 23756800   apache    600        1         
0x00000000 23789569   apache    600        1         
0x00000000 23822338   apache    600        1         
0x00000000 23855107   apache    600        1         
0x00000000 23887876   apache    600        1         
0x00000000 23920645   apache    600        1         
0x00000000 23953414   apache    600        1         
0x00000000 23986183   apache    600        1         
0x00000000 24018952   apache    600        1         
0x00000000 24051721   apache    600        1         
0x00000000 24084490   apache    600        1         
0x00000000 24117259   apache    600        1         
0x00000000 24150028   apache    600        1         
0x00000000 24182797   apache    600        1         
0x00000000 24215566   apache    600        1         
0x00000000 24248335   apache    600        1         
0x00000000 24281104   apache    600        1         
0x00000000 24313873   apache    600        1         
0x00000000 24346642   apache    600        1         
0x00000000 24379411   apache    600        1         
0x00000000 24412180   apache    600        1         
0x00000000 24444949   apache    600        1         
0x00000000 24477718   apache    600        1         
0x00000000 24510487   apache    600        1         
0x00000000 24543256   apache    600        1         
0x00000000 24576025   apache    600        1         
0x00000000 24608794   apache    600        1         
0x00000000 24641563   apache    600        1         
0x00000000 24674332   apache    600        1         
0x00000000 24707101   apache    600        1         
0x00000000 24739870   apache    600        1         
0x00000000 24772639   apache    600        1         
0x00000000 24805408   apache    600        1         
0x00000000 24838177   apache    600        1         
0x00000000 24870946   apache    600        1    


Additional info:

workarround:
before starting apache :
 for s in $(ipcs -s|grep apache|awk '{print $2}');do ipcrm -s $s;done
Comment 1 Joe Orton 2005-02-01 11:43:51 EST
It's a mod_python issue, it creates too many semaphores.  If you
remove mod_python it should be better.
Comment 2 rolandbreedveld 2005-02-02 10:10:43 EST
Thanxzzz
This runs much better !

Regards Roland
Comment 3 Matthew Miller 2005-04-26 12:27:46 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Joe Orton 2005-06-21 11:43:58 EDT
[This is a mass bug update]

Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 or FC4 updates,
reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.